<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8">
    <title>Projecte web compartit </title>
    <link rel="stylesheet" href="style.css">
  </head>
  <body>
    <div class="container">
      <h1>GIT</h1>
      <div class="intro">
        <h2>Introducció</h2>
        <p>GIT és un controlador de versions FreeWare  que serveix per tenir còpies de seguretat, per treballar amb diferents persones, desfer canvis fets y treballar amb diferents branques.<br> 
       	 Comandes més importants: 
         <br>
       	 git init -> Aquesta Comanda ha de realitzar-se dins d'un directori, i crea un repositori GIT a aquest directori. 
       	 <br>
       	 git commit -> Comunica els canvis fets al repositori, és necessari afegir un comentari, es pot fer amb git commit -m ""
       	 <br>
         git log -> Ensenya l'historial de commits fets per l'usuari, amb el seu comentrari i la seva data.
         <br>
         git status -> Ensenya l'estat del repositori (si hi ha fitxers no actualitzats o si hi ha algun problema l'indicarà)
         <br>
         git add -> Puja a l'area de stage els archius que eligeixes, serveix per poder afegir un commit.
        </p>
      </div>
      <div class="branches">
        <h2>Branques</h2>
        <p>Escriu aquí una breu descripció del què són les branques i comandes bàsiques</p>
      </div>
      <div class="remot">
        <h2>Remot</h2>
        <p>Repositoris git remots més famosos: GitHub (el millor), BitBucket, GitLab (GitHub es millor .-.)<br>Afegir remot: git remote add origin (url git) <br>Lincar branca master amb branca master del origin: git branch --set-upstream master origin/master <br>Clonar repositori remot: git clone (url git) <br> Pujar commits al repositori: git push <br> Descarregar commits del repositori: git pull <br> Comentari: Recorda sempre fer git add i gir commit -m abans de fer el push.</p></div>
      </div>
   </div>
  </body>
</html>
